#ifndef UDP_BUFFER_H
#define UDP_BUFFER_H

#include <stdint.h>

#define UDP_BUFFER_ANGLE_L_REG 0x00
#define UDP_BUFFER_ANGLE_H_REG 0x01
#define UDP_BUFFER_X_AXIS_SPEED_REG 0x02
#define UDP_BUFFER_Y_AXIS_SPEED_REG 0x03

typedef struct udp_buffer_t {
    uint8_t buffer[256];
} udp_buffer_t;

// Update motion control data from buffer
void update_motion_control_data(void);
// Update servo motors from data in udp buffer
void i2c_update_servo_motors(void);

#endif // UDP_BUFFER_H